Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Edit a quote for charges and charge items

Idempotency Supported

Changes the quote produced for adding one-time charges and charge items.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/quotes/{quote-id}/edit_for_charge_items_and_charges

Input Parameters

po_number
optional, string, max chars=100

Purchase Order Number for this quote.

notes
optional, string, max chars=10000

Notes specific to this quote that you want customers to see on the quote PDF.

expires_at
optional, timestamp(UTC) in seconds

Quotes will be valid till this date. After this quote will be marked as closed.

currency_code
required if Multicurrency is enabled, string, max chars=3

The currency code (ISO 4217 format) of the quote.

coupon
optional, string, max chars=100

The 'One Time' coupon to be applied.

coupon_ids
optional, string, max chars=100

List of Coupons to be added.

net_term_days
optional, integer

The number of days within which the customer has to make payment for the invoice.

Note

The parameter applies only when Chargebee CPQ is enabled. To request access, contact Chargebee Support.

billing_address
Parameters for billing_address
pass parameters as billing_address[<param name>]
shipping_address
Parameters for shipping_address
pass parameters as shipping_address[<param name>]
item_prices[0..n]
Parameters for item_prices. Multiple item_prices can be passed by specifying unique indices.
pass parameters as item_prices[<param name>][<idx:0..n>]
item_tiers[0..n]
Parameters for item_tiers. Multiple item_tiers can be passed by specifying unique indices.
pass parameters as item_tiers[<param name>][<idx:0..n>]
charges[0..n]
Parameters for charges. Multiple charges can be passed by specifying unique indices.
pass parameters as charges[<param name>][<idx:0..n>]
discounts[0..n]
Parameters for discounts. Multiple discounts can be passed by specifying unique indices.
pass parameters as discounts[<param name>][<idx:0..n>]
tax_providers_fields[0..n]
Parameters for tax_providers_fields. Multiple tax_providers_fields can be passed by specifying unique indices.
pass parameters as tax_providers_fields[<param name>][<idx:0..n>]

Returns

Quote object
Resource object representing quote
Quoted charge object
Resource object representing quoted_charge